Cloud
Облачный сервис для быстрого и эффективного анализа и визуализации данных для вашего бизнеса без необходимости создания своих приложений и программирования.
@ViewChild to obtain the StimulsoftViewerComponent instance:import { Component, ViewChild } from '@angular/core';
import { StimulsoftViewerComponent } from 'stimulsoft-viewer-angular';
export class AppComponent {
@ViewChild('viewer') viewer: StimulsoftViewerComponent;
}viewer.api object exposes the viewer's state and methods, which you can bind to directly:Zoom is {{ viewer.api.zoom }}<br />
Current page {{ viewer.api.currentPage + 1 }}<br />
<input type="button" (click)="viewer.api.zoom = 50" value="Zoom to 50%" />
<input type="button" (click)="viewer.api.export('Pdf', { ImageResolution: 200 })" value="Export to PDF" />
<stimulsoft-viewer-angular #viewer
[requestUrl]="'/Viewer/{action}'" [action]="'InitViewer'" [height]="'100vh'">
</stimulsoft-viewer-angular>viewer.api.zoom — reads or sets the zoom level in percent; assigning 50 zooms the report to 50%.viewer.api.currentPage — the zero-based index of the current page (shown as + 1 for a human-friendly number).viewer.api.export('Pdf', { ImageResolution: 200 }) — exports the report to a format with export settings; here PDF at 200 DPI.

Cloud
Облачный сервис для быстрого и эффективного анализа и визуализации данных для вашего бизнеса без необходимости создания своих приложений и программирования.
StimulsoftViewerHandle and attach it to the component. Through that handle you get access to the viewer's properties and methods:import React, { useRef, useState, useEffect } from 'react';
import { StimulsoftViewer, StimulsoftViewerHandle } from 'stimulsoft-viewer-react';
export const App: React.FC = () => {
const viewerRef = useRef<StimulsoftViewerHandle>(null);
const [zoom, setZoom] = useState<number>(100);
const [currentPage, setCurrentPage] = useState<number>(0);
// Poll the viewer state and mirror it into React state
useEffect(() => {
const interval = setInterval(() => {
if (viewerRef.current) {
setZoom(viewerRef.current.zoom);
setCurrentPage(viewerRef.current.currentPage);
}
}, 200);
return () => clearInterval(interval);
}, []);
return (
<div>
Zoom is {zoom}<br />
Current page {currentPage + 1}<br />
<input type="button" value="Zoom to 50%"
onClick={() => { if (viewerRef.current) viewerRef.current.zoom = 50; }} />
<input type="button" value="Export to PDF"
onClick={() => { if (viewerRef.current) viewerRef.current.export('Pdf', { ImageResolution: 200 }); }} />
<StimulsoftViewer ref={viewerRef} requestUrl="/Viewer/{action}" action="InitViewer" height="100vh" />
</div>
);
};The key parts of the API used here:viewerRef.current.zoom — reads or sets the zoom level in percent; assigning 50 zooms the report to 50%.viewerRef.current.currentPage — the zero-based index of the page the user is viewing (shown as + 1 for a human-friendly number).viewerRef.current.export('Pdf', { ImageResolution: 200 }) — exports the report to a given format with export settings; here PDF at 200 DPI.

For finer control you can talk to the viewer directly through its API instead of only reacting to events.

Getting a reference. Create a template ref of type StimulsoftViewerHandle and attach it to the component. Through that handle you get access to the viewer's properties and methods:
<script setup lang="ts">
import { ref, onMounted, onBeforeUnmount } from 'vue';
import { StimulsoftViewer, type StimulsoftViewerHandle } from 'stimulsoft-viewer-vue';

const viewerRef = ref<StimulsoftViewerHandle | null>(null);
const zoom = ref(100);
const currentPage = ref(0);
let interval: any = null;

// Poll the viewer state and mirror it into reactive refs
onMounted(() => {
    interval = setInterval(() => {
        if (viewerRef.value) {
            zoom.value = viewerRef.value.zoom;
            currentPage.value = viewerRef.value.currentPage;
        }
    }, 200);
});
onBeforeUnmount(() => clearInterval(interval));

function zoomTo50(): void {
    if (viewerRef.value) viewerRef.value.zoom = 50;
}
function exportToPdf(): void {
    viewerRef.value?.export('Pdf', { ImageResolution: 200 });
}
</script>

<template>
    <div>
        Zoom is {{ zoom }}<br />
        Current page {{ currentPage + 1 }}<br />
        <input type="button" value="Zoom to 50%" @click="zoomTo50" />
        <input type="button" value="Export to PDF" @click="exportToPdf" />

        <StimulsoftViewer ref="viewerRef" request-url="/Viewer/{action}" action="InitViewer" height="100vh" />
    </div>
</template>
The key parts of the API used here:



Because the viewer is not a reactive source itself, the example polls its values every 200 ms and copies them into refs so the displayed zoom and page number stay in sync with what the user sees.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.